<div class="table-responsive">
    <table class="table table-striped table-hover align-middle">
    <thead>
    <tr>
        <th>N°</th>
        <th>Ferme</th>
        <th>Date de signature</th>
        <th>Période</th>
        <th>Montant</th>

        <th class="text-center">PDF</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    {% for contrat in contrats %}
        <tr>
            <td>{{ contrat.id }}</td>
            <td>{{ contrat.ferme.nom }}</td>
            <td>{{ contrat.date_signature }}</td>
            <td>du {{ contrat.date_debut|date:"d/m/Y" }} au {{ contrat.date_fin|date:"d/m/Y" }}</td>
            <td>{{ contrat.valeur_totale|floatformat:2 }} €</td>

            <td class="text-center">
                <a href="{% url 'contrat_pdf' id_contrat=contrat.id %}" target="_blank">
                    <i class="fas fa-file-pdf"></i>
                </a>
            </td>
            <td></td>
        </tr>
    {% endfor %}
    {% if contrats|length == 0 %}
            <tr>
                <td colspan="6" class="text-center">
                Aucun résultat
                </td>
            </tr>
    {% endif %}
    </tbody>
</table>
</div>